Package ru.bitel.bgbilling.server.util

# Class Setup

java.lang.Object
ru.bitel.common.ParameterMap
ru.bitel.common.Preferences
ru.bitel.bgbilling.server.util.DefaultServerSetup
ru.bitel.bgbilling.server.util.Setup

Direct Known Subclasses:
  `RadiusSetup`

public class Setup extends DefaultServerSetup
Главный setup приложений и сервера биллинга. Конфиг объединяет файл-сетап и текущий активный бд-конфиг ядра. Умеет получать и актуализировать конфиги модулей.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.server.util.DefaultServerSetup

  `DefaultServerSetup.DatabaseData, DefaultServerSetup.DatabaseType`

  ## Nested classes/interfaces inherited from class ru.bitel.common.ParameterMap

  `ParameterMap.DefaultParameterMap`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static Setup`
  `instance`

  ### Fields inherited from class ru.bitel.bgbilling.server.util.DefaultServerSetup

  `databaseData, RETURN_FAKE, RETURN_MASTER, RETURN_NULL, RETURN_SLAVE`

  ### Fields inherited from class ru.bitel.common.Preferences

  `bundleName, data`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Setup(String bundleName)`
  `Setup(String dirName, String confName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addActionListener(ActionListener al)`
  `void`
  `addToConfig(Preferences preferences, String prefix)`
  `String`
  `get(String key, String def)`
  `Preferences`
  `getBundlePreferences()`
  `final <K extends bitel.billing.server.util.Config>
  K`
  `getConfig(int moduleId, Class<K> clazz)`
  загрузка/получение Config-конфига модуля, используется кеш
  `ru.bitel.bgbilling.kernel.container.ws.common.Distribution`
  `getDistribution()`
  `String`
  `getFolderPathParam(String paramName, String defaultValue)`
  `Date`
  `getInitDate()`
  `ModuleSetup`
  `getModuleSetup(Integer moduleId)`
  Загрузка/получение конфига модуля по mid, используется кеш конфигов модуля, если косяк то будет null
  `String`
  `getPathProperty(String what, String def)`
  Возвращает значение системной настройки для пути.
  `static Setup`
  `getSetup()`
  `String`
  `getTempDirPath()`
  `ru.bitel.bgbilling.kernel.container.ws.server.WSClient`
  `getWSClient()`
  `void`
  `reloadConfig(int moduleId)`
  `static void`
  `setSetup(Setup setup)`
  `void`
  `throwActionEvent(ActionEvent e)`

  ### Methods inherited from class ru.bitel.bgbilling.server.util.DefaultServerSetup

  `dbSchema, dbType, getDatabaseData, getDBConnection, getDBConnection, getDBConnectionFromPool, getDBConnectionFromPool, getDBSlaveConnectionFromPool, getDBSlaveConnectionFromPool, getDBTrashConnectionFromPool, getDBTrashOrMasterConnectionFromPool, getDBTrashOrSlaveConnectionFromPool, getEnvironment, getMasterPoolLoad, getPoolStackTrace, getPoolStatus, getScheduledExecutorService, getSlaveBaseId, getSlaveConnectionFromPool, getTrashBaseId, getTrashConnectionFromPool, initConnectionPool, initJNDI, initMQ, initTrashPools, isReplicationAvailable, isReplicationEnabled, isReplicationNotBehindMaster, logConfigure, returnConToPool, setReplicationAvailable, setReplicationEnabled, setReplicationNotBehindMaster`

  ### Methods inherited from class ru.bitel.common.Preferences

  `entrySet, extract, getMap, getObject, getObject, loadBundle, loadData, loadFromInputStream, loadModuleSetup, putObject, removeObject, set, updateData`

  ### Methods inherited from class ru.bitel.common.ParameterMap

  `filter, get, getBigDecimal, getBoolean, getChar, getDouble, getEnum, getFloat, getInt, getIntegerList, getLocalDate, getLong, inherit, sub, subIndexed, subKeyed, subLined, toReference, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### instance

    protected static Setup instance

- ## Constructor Details

  - ### Setup

    public Setup(String dirName, String confName)

  - ### Setup

    public Setup(String bundleName)

- ## Method Details

  - ### getBundlePreferences

    public Preferences getBundlePreferences()

  - ### getInitDate

    public Date getInitDate()

  - ### addToConfig

    public void addToConfig(Preferences preferences, String prefix)

  - ### getDistribution

    public ru.bitel.bgbilling.kernel.container.ws.common.Distribution getDistribution()

  - ### getWSClient

    public ru.bitel.bgbilling.kernel.container.ws.server.WSClient getWSClient()

  - ### getConfig

    public final <K extends bitel.billing.server.util.Config> K getConfig(int moduleId, Class<K> clazz)
    загрузка/получение Config-конфига модуля, используется кеш

  - ### getModuleSetup

    public ModuleSetup getModuleSetup(Integer moduleId)
    Загрузка/получение конфига модуля по mid, используется кеш конфигов модуля, если косяк то будет null

  - ### getFolderPathParam

    public String getFolderPathParam(String paramName, String defaultValue)

  - ### getTempDirPath

    public String getTempDirPath()

  - ### getPathProperty

    public String getPathProperty(String what, String def)
    Возвращает значение системной настройки для пути. Если не находит - берет из сетапа, если и в сетапе нет - возвращает def.
    Parameters:
      `what` - название настройки
      `def` - значение по-умолчанию
    Returns:
      значение

  - ### getSetup

    public static Setup getSetup()

  - ### setSetup

    public static void setSetup(Setup setup)

  - ### reloadConfig

    public void reloadConfig(int moduleId)

  - ### get

    public String get(String key, String def)
    Overrides:
      `get` in class `Preferences`

  - ### addActionListener

    public void addActionListener(ActionListener al)

  - ### throwActionEvent

    public void throwActionEvent(ActionEvent e)